url --url="https://cdn.redhat.com/content/beta/rhel8/8/x86_64/appstream/os" 
repo --name="composer-0" --baseurl="https://cdn.redhat.com/content/beta/rhel8/8/x86_64/baseos/os" 
clearpart --all --initlabel
part / --size=3434
# Lorax Composer qcow2 output kickstart template

# Firewall configuration
firewall --enabled

# NOTE: The root account is locked by default
# Network information
network  --bootproto=dhcp --onboot=on --activate
# System keyboard
keyboard --xlayouts=us --vckeymap=us
# System language
lang en_US.UTF-8
# SELinux configuration
selinux --enforcing
# Installation logging level
logging --level=info
# Shutdown after installation
shutdown
# System timezone
timezone  US/Eastern
# System bootloader configuration
bootloader --location=mbr

%post
# Remove random-seed
rm /var/lib/systemd/random-seed

# Clear /etc/machine-id
rm /etc/machine-id
touch /etc/machine-id
%end

%packages
kernel
-dracut-config-rescue
grub2

# Make sure virt guest agents are installed
qemu-guest-agent
spice-vdagent

# NOTE lorax-composer will add the blueprint packages below here, including the final %end
audit-libs-3.0-0.5.20180831git0047a6c.el8.x86_64
basesystem-11-5.el8.noarch
bash-4.4.19-6.el8.x86_64
brotli-1.0.6-1.el8.x86_64
bzip2-libs-1.0.6-26.el8.x86_64
ca-certificates-2018.2.24-6.el8.noarch
checkpolicy-2.8-1.el8.x86_64
chkconfig-1.11-1.el8.x86_64
container-selinux-2:2.73-3.el8+1838+91f7e486.noarch
containernetworking-plugins-0.7.3-6.git19f2f28.el8+1742+b7ea820a.x86_64
containers-common-1:0.1.31-11.gitb0b750d.el8+1853+ae0bb178.x86_64
coreutils-8.30-4.el8.x86_64
coreutils-common-8.30-4.el8.x86_64
cracklib-2.9.6-14.el8.x86_64
criu-3.10-4.el8.x86_64
crypto-policies-20181026-1.gitcc78cb7.el8.noarch
curl-7.61.1-5.el8.x86_64
cyrus-sasl-lib-2.1.27-0.3rc7.el8.x86_64
diffutils-3.6-5.el8.x86_64
elfutils-libelf-0.174-1.el8.x86_64
expat-2.2.5-3.el8.x86_64
filesystem-3.8-2.el8.x86_64
gawk-4.2.1-1.el8.x86_64
gdbm-1:1.18-1.el8.x86_64
gdbm-libs-1:1.18-1.el8.x86_64
glib2-2.56.1-1.el8.x86_64
glibc-2.28-18.el8.x86_64
glibc-all-langpacks-2.28-18.el8.x86_64
glibc-common-2.28-18.el8.x86_64
gmp-1:6.1.2-8.el8.x86_64
gnupg2-2.2.9-1.el8.x86_64
gnutls-3.6.4-2.el8.x86_64
gpgme-1.10.0-5.el8.x86_64
grep-3.1-6.el8.x86_64
gzip-1.9-4.el8.x86_64
info-6.5-4.el8.x86_64
iptables-1.8.0-11.el8.x86_64
iptables-libs-1.8.0-11.el8.x86_64
jansson-2.11-3.el8.x86_64
keyutils-libs-1.5.10-6.el8.x86_64
krb5-libs-1.16.1-19.el8.x86_64
libacl-2.2.53-1.el8.x86_64
libarchive-3.3.2-3.el8.x86_64
libassuan-2.5.1-3.el8.x86_64
libattr-2.4.48-3.el8.x86_64
libblkid-2.32.1-6.el8.x86_64
libcap-2.25-9.el8.x86_64
libcap-ng-0.7.9-3.el8.x86_64
libcom_err-1.44.3-1.el8.x86_64
libcurl-7.61.1-5.el8.x86_64
libdb-5.3.28-33.el8.x86_64
libdb-utils-5.3.28-33.el8.x86_64
libfdisk-2.32.1-6.el8.x86_64
libffi-3.1-17.el8.x86_64
libgcc-8.2.1-3.3.el8.x86_64
libgcrypt-1.8.3-2.el8.x86_64
libgpg-error-1.31-1.el8.x86_64
libidn2-2.0.5-1.el8.x86_64
libksba-1.3.5-7.el8.x86_64
libmetalink-0.1.3-7.el8.x86_64
libmnl-1.0.4-6.el8.x86_64
libmount-2.32.1-6.el8.x86_64
libnet-1.1.6-15.el8.x86_64
libnetfilter_conntrack-1.0.6-5.el8.x86_64
libnfnetlink-1.0.1-13.el8.x86_64
libnftnl-1.1.1-1.el8.x86_64
libnghttp2-1.33.0-1.el8.x86_64
libnl3-3.4.0-4.el8.x86_64
libnsl2-1.2.0-2.20180605git4a062cf.el8.x86_64
libpcap-14:1.9.0-1.el8.x86_64
libpkgconf-1.4.2-1.el8.x86_64
libpsl-0.20.2-5.el8.x86_64
libpwquality-1.4.0-8.el8.x86_64
libseccomp-2.3.3-3.el8.x86_64
libselinux-2.8-5.el8.x86_64
libselinux-utils-2.8-5.el8.x86_64
libsemanage-2.8-3.1.el8.x86_64
libsepol-2.8-1.el8.x86_64
libsigsegv-2.11-5.el8.x86_64
libsmartcols-2.32.1-6.el8.x86_64
libssh-0.8.3-3.el8.x86_64
libtasn1-4.13-3.el8.x86_64
libtirpc-1.1.4-3.el8.x86_64
libunistring-0.9.9-3.el8.x86_64
libusbx-1.0.22-1.el8.x86_64
libutempter-1.1.6-14.el8.x86_64
libuuid-2.32.1-6.el8.x86_64
libverto-0.3.0-5.el8.x86_64
libxcrypt-4.1.1-4.el8.x86_64
libxml2-2.9.7-5.el8.x86_64
lua-libs-5.3.4-10.el8.x86_64
lz4-libs-1.8.1.2-4.el8.x86_64
mpfr-3.1.6-1.el8.x86_64
ncurses-6.1-5.20180224.el8.x86_64
ncurses-base-6.1-5.20180224.el8.noarch
ncurses-libs-6.1-5.20180224.el8.x86_64
nettle-3.4-4.el8.x86_64
nftables-1:0.9.0-3.el8.x86_64
npth-1.5-4.el8.x86_64
openldap-2.4.46-8.el8.x86_64
openssl-libs-1:1.1.1-6.el8.x86_64
ostree-libs-2018.8-2.el8.x86_64
p11-kit-0.23.14-2.el8.x86_64
p11-kit-trust-0.23.14-2.el8.x86_64
pam-1.3.1-3.el8.x86_64
pcre-8.42-4.el8.x86_64
pcre2-10.31-11.el8.x86_64
pkgconf-1.4.2-1.el8.x86_64
pkgconf-m4-1.4.2-1.el8.noarch
pkgconf-pkg-config-1.4.2-1.el8.x86_64
platform-python-3.6.6-19.el8.x86_64
podman-0.10.1.3-5.gitdb08685.el8+2131+7e3e9e07.x86_64
podman-docker-0.10.1.3-5.gitdb08685.el8+2131+7e3e9e07.noarch
policycoreutils-2.8-9.el8.x86_64
policycoreutils-python-utils-2.8-9.el8.noarch
popt-1.16-14.el8.x86_64
protobuf-c-1.3.0-4.el8.x86_64
publicsuffix-list-dafsa-20180723-1.el8.noarch
python3-audit-3.0-0.5.20180831git0047a6c.el8.x86_64
python3-IPy-0.81-22.el8.noarch
python3-libs-3.6.6-19.el8.x86_64
python3-libselinux-2.8-5.el8.x86_64
python3-libsemanage-2.8-3.1.el8.x86_64
python3-pip-9.0.3-4.el8.noarch
python3-policycoreutils-2.8-9.el8.noarch
python3-setools-4.1.1-11.el8.x86_64
python3-setuptools-39.2.0-3.el8.noarch
readline-7.0-10.el8.x86_64
redhat-release-8.0-0.34.el8.x86_64
rpm-4.14.2-4.el8.x86_64
rpm-libs-4.14.2-4.el8.x86_64
rpm-plugin-selinux-4.14.2-4.el8.x86_64
runc-1.0.0-52.rc5.dev.git2abd837.el8+1884+9fee228c.x86_64
sed-4.5-1.el8.x86_64
selinux-policy-3.14.1-46.el8.noarch
selinux-policy-targeted-3.14.1-46.el8.noarch
setup-2.12.2-1.el8.noarch
shadow-utils-2:4.6-4.el8.x86_64
sqlite-libs-3.24.0-1.el8.x86_64
systemd-libs-239-8.el8.x86_64
tzdata-2018e-2.el8.noarch
util-linux-2.32.1-6.el8.x86_64
xz-libs-5.2.4-2.el8.x86_64
zlib-1.2.11-10.el8.x86_64
%end
rootpw --lock
